Subject: RE: Rtgdir telechat review of draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04

From: "Borchert, Oliver (Fed)" <[email-masked]>
Date: Thu, 11 Apr 2019 21:16:35 +0000

Carlos,

I fixed the NextHop IPv6 address to use a private use IP. It was an easy fix which does not affect the signatures.
I followed your advise to split the Special-Use ID into a range for Experimental-ID and Documentation-ID.

The topic of obsolete vs update is still open and I wait for IESG guidance.

If wanted/requested, I can upload a version 05 of the document with the modifications I outlined in the previous emails already.

Oliver

-----Original Message-----
From: Carlos Pignataro via Datatracker <[email-masked]> 
Sent: Tuesday, March 26, 2019 3:33 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Rtgdir telechat review of draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04
Importance: High

Reviewer: Carlos Pignataro
Review result: Has Issues

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs.
For more information about the Routing Directorate, please see
​https://gcc01.safelinks.protection.outlook.com/?url=http%3A%2F%2Ftrac.tools.ietf.org%2Farea%2Frtg%2Ftrac%2Fwiki%2FRtgDir&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7C4350e5e2db9141602a4008d6b221dd15%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636892255859405648&amp;sdata=0G9DxFL9CJzsYDQXEo%2Feo2IoThB%2Fmnay%2BjoIf2zQslw%3D&amp;reserved=0

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04
Reviewer: Carlos Pignataro
Intended Status: Proposed Standard

Summary:
This document specifies the algorithms and parameters for BGPsec (Border Gateway Protocol Security).

Comments:
This is a clear, comprehensive, and well written document. It states it updates (if approved) RFC 8208, and I particularly appreciate Section 1.2, "Changes from RFC 8208", in explicitly showing how. However, it is unclear to me if the right relationship is to "update" or to "obsolete" RFC 8208. Should this document be approved and published, would RFC 8208 still be active and relevant, only updated, or re-written?

Minor Issues:

1.  Introduction

   This document updates [RFC7935] to add support for a) a different
   algorithm for BGPsec certificate requests, which are issued only by
   BGPsec speakers; b) a different Subject Public Key Info format for

CMP: Does this document update RFC7935 or RFC8208 on these issues? Meaning, if it really updates RFC7935, then it would obsolete RFC 8208. If it does not obsolete RFC 8208, then it would update RFC 8208 and RFC 7935, perhaps? CMP: I believe the right metadata would be: Updates: 7935 Obsoletes: 8208

CMP: Also, an editorial: this is a very thick paragraph to parse containing an enumerated list embedded in it. Should clarity be improved if turned into an actual list? (a), (b), etc.

   Appendix A contains example BGPsec UPDATE messages as well as the
   private keys used to generate the messages and the certificates
   necessary to validate the signatures.

CMP: Maybe overkill, but might be useful to explicitly say that the Appendix is non-normative. Just a thought for your consideration.

2.1. Algorithm ID Types

   o  Special-Use Algorithm ID

      Special-Use algorithm IDs span from 0xFA (250) to 0xFE (254).  To
      allow documentation and experimentation to accurately describe

CMP: I was wondering if it is appropriate to use a common block for both documentation (paper) and experimentation (wire in labs). CMP: In this, I note that RFC 4727 says:

"  It is not
   appropriate to use addresses in the documentation prefix [RFC3849]
   for experimentation."

CMP: So, while I have no strong position (I think), it might be useful to consider separating these two semantics with different allocations.

8.  References

CMP: Lastly, I am sure ADs are checking downrefs and the such.

Also Nits:

Found possible IPv6 address '2001:0010:0000:0000:0000:0000:c633:6464' in position 783 in the paragraph; this doesn't match RFC 3849's suggested
2001:DB8::/32 address range or RFC 4193's Unique Local Address range FC00::/7.

CMP: I hope these are useful.

Thank you,

Carlos Pignataro.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 12 Apr 2019 04:41:23 +0000

Thank you for having considered my comments, Oliver, and acting on them.

Thanks,

— Carlos Pignataro

On Apr 11, 2019, at 5:16 PM, Borchert, Oliver (Fed) <[email-masked]<mailto:[email-masked]>> wrote:

Carlos,

Oliver

-----Original Message-----
From: Carlos Pignataro via Datatracker <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, March 26, 2019 3:33 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Rtgdir telechat review of draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04
Importance: High

Hello,

Summary:

Comments:

Minor Issues:

1.  Introduction

2.1. Algorithm ID Types

"  It is not

8.  References

Also Nits:

Thank you,

Carlos Pignataro.